## Tool: `list_evaluation_datasets`

Lists evaluation datasets.

The following code sample shows how to use `curl` to call the `list_evaluation_datasets` MCP tool.

| Curl Request |
|---|
| ```bash curl --location 'https://ces.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_evaluation_datasets", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' ``` |

## Input Schema

Request message for `EvaluationService.ListEvaluationDatasets`.

### ListEvaluationDatasetsRequest

| JSON representation |
|---|
| ``` { "parent": string, "pageSize": integer, "pageToken": string, "filter": string, "orderBy": string } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The resource name of the app to list evaluation datasets from. |
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. The `next_page_token` value returned from a previous list `EvaluationService.ListEvaluationDatasets` call. |
| `filter` | `string` Optional. Filter to be applied when listing the evaluation datasets. See <https://google.aip.dev/160> for more details. |
| `orderBy` | `string` Optional. Field to sort by. Only "name" and "create_time", and "update_time" are supported. Time fields are ordered in descending order, and the name field is ordered in ascending order. If not included, "update_time" will be the default. See <https://google.aip.dev/132#ordering> for more details. |

## Output Schema

Response message for `EvaluationService.ListEvaluationDatasets`.

### ListEvaluationDatasetsResponse

| JSON representation |
|---|
| ``` { "evaluationDatasets": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation_dataset#Input.Schema.EvaluationDataset`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `evaluationDatasets[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation_dataset#Input.Schema.EvaluationDataset`)`` The list of evaluation datasets. |
| `nextPageToken` | `string` A token that can be sent as `ListEvaluationDatasetsRequest.page_token` to retrieve the next page. Absence of this field indicates there are no subsequent pages. |

### EvaluationDataset

| JSON representation |
|---|
| ``` { "name": string, "displayName": string, "evaluations": [ string ], "createTime": string, "updateTime": string, "etag": string, "createdBy": string, "lastUpdatedBy": string, "aggregatedMetrics": { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.AggregatedMetrics`) } } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The unique identifier of this evaluation dataset. Format: `projects/{project}/locations/{location}/apps/{app}/evaluationDatasets/{evaluationDataset}` |
| `displayName` | `string` Required. User-defined display name of the evaluation dataset. Unique within an App. |
| `evaluations[]` | `string` Optional. Evaluations that are included in this dataset. |
| `createTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp when the evaluation dataset was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `updateTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp when the evaluation dataset was last updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `etag` | `string` Output only. Etag used to ensure the object hasn't changed during a read-modify-write operation. If the etag is empty, the update will overwrite any concurrent changes. |
| `createdBy` | `string` Output only. The user who created the evaluation dataset. |
| `lastUpdatedBy` | `string` Output only. The user who last updated the evaluation dataset. |
| `aggregatedMetrics` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.AggregatedMetrics`)`` Output only. The aggregated metrics for this evaluation dataset across all runs. |

### Timestamp

| JSON representation |
|---|
| ``` { "seconds": string, "nanos": integer } ``` |

| Fields ||
|---|---|
| `seconds` | `string (https://developers.google.com/discovery/v1/type-format format)` Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
| `nanos` | `integer` Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |

### AggregatedMetrics

| JSON representation |
|---|
| ``` { "metricsByAppVersion": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.MetricsByAppVersion`) } ] } ``` |

| Fields ||
|---|---|
| `metricsByAppVersion[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.MetricsByAppVersion`)`` Output only. Aggregated metrics, grouped by app version ID. |

### MetricsByAppVersion

| JSON representation |
|---|
| ``` { "appVersionId": string, "toolMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolMetrics`) } ], "semanticSimilarityMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.SemanticSimilarityMetrics`) } ], "hallucinationMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.HallucinationMetrics`) } ], "toolCallLatencyMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolCallLatencyMetrics`) } ], "turnLatencyMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.TurnLatencyMetrics`) } ], "passCount": integer, "failCount": integer, "metricsByTurn": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.MetricsByTurn`) } ] } ``` |

| Fields ||
|---|---|
| `appVersionId` | `string` Output only. The app version ID. |
| `toolMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolMetrics`)`` Output only. Metrics for each tool within this app version. |
| `semanticSimilarityMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.SemanticSimilarityMetrics`)`` Output only. Metrics for semantic similarity within this app version. |
| `hallucinationMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.HallucinationMetrics`)`` Output only. Metrics for hallucination within this app version. |
| `toolCallLatencyMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolCallLatencyMetrics`)`` Output only. Metrics for tool call latency within this app version. |
| `turnLatencyMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.TurnLatencyMetrics`)`` Output only. Metrics for turn latency within this app version. |
| `passCount` | `integer` Output only. The number of times the evaluation passed. |
| `failCount` | `integer` Output only. The number of times the evaluation failed. |
| `metricsByTurn[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.MetricsByTurn`)`` Output only. Metrics aggregated per turn within this app version. |

### ToolMetrics

| JSON representation |
|---|
| ``` { "tool": string, "passCount": integer, "failCount": integer } ``` |

| Fields ||
|---|---|
| `tool` | `string` Output only. The name of the tool. |
| `passCount` | `integer` Output only. The number of times the tool passed. |
| `failCount` | `integer` Output only. The number of times the tool failed. |

### SemanticSimilarityMetrics

| JSON representation |
|---|
| ``` { "score": number } ``` |

| Fields ||
|---|---|
| `score` | `number` Output only. The average semantic similarity score (0-4). |

### HallucinationMetrics

| JSON representation |
|---|
| ``` { "score": number } ``` |

| Fields ||
|---|---|
| `score` | `number` Output only. The average hallucination score (0 to 1). |

### ToolCallLatencyMetrics

| JSON representation |
|---|
| ``` { "tool": string, "averageLatency": string } ``` |

| Fields ||
|---|---|
| `tool` | `string` Output only. The name of the tool. |
| `averageLatency` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` Output only. The average latency of the tool calls. A duration in seconds with up to nine fractional digits, ending with '`s`'. Example: `"3.5s"`. |

### Duration

| JSON representation |
|---|
| ``` { "seconds": string, "nanos": integer } ``` |

| Fields ||
|---|---|
| `seconds` | `string (https://developers.google.com/discovery/v1/type-format format)` Signed seconds of the span of time. Must be from -315,576,000,000 to +315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min \* 60 min/hr \* 24 hr/day \* 365.25 days/year \* 10000 years |
| `nanos` | `integer` Signed fractions of a second at nanosecond resolution of the span of time. Durations less than one second are represented with a 0 `seconds` field and a positive or negative `nanos` field. For durations of one second or more, a non-zero value for the `nanos` field must be of the same sign as the `seconds` field. Must be from -999,999,999 to +999,999,999 inclusive. |

### TurnLatencyMetrics

| JSON representation |
|---|
| ``` { "averageLatency": string } ``` |

| Fields ||
|---|---|
| `averageLatency` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#duration` format)`` Output only. The average latency of the turns. A duration in seconds with up to nine fractional digits, ending with '`s`'. Example: `"3.5s"`. |

### MetricsByTurn

| JSON representation |
|---|
| ``` { "turnIndex": integer, "toolMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolMetrics`) } ], "semanticSimilarityMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.SemanticSimilarityMetrics`) } ], "hallucinationMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.HallucinationMetrics`) } ], "toolCallLatencyMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolCallLatencyMetrics`) } ], "turnLatencyMetrics": [ { object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.TurnLatencyMetrics`) } ] } ``` |

| Fields ||
|---|---|
| `turnIndex` | `integer` Output only. The turn index (0-based). |
| `toolMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolMetrics`)`` Output only. Metrics for each tool within this turn. |
| `semanticSimilarityMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.SemanticSimilarityMetrics`)`` Output only. Metrics for semantic similarity within this turn. |
| `hallucinationMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.HallucinationMetrics`)`` Output only. Metrics for hallucination within this turn. |
| `toolCallLatencyMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.ToolCallLatencyMetrics`)`` Output only. Metrics for tool call latency within this turn. |
| `turnLatencyMetrics[]` | ``object (`https://docs.cloud.google.com/gemini-enterprise-cx/cx-agent-studio/reference/mcp/tools_list/create_evaluation#Input.Schema.TurnLatencyMetrics`)`` Output only. Metrics for turn latency within this turn. |

### Tool Annotations


[Tool annotations](https://modelcontextprotocol.io/specification/latest/schema#toolannotations) are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.


Along with the title string, the following boolean hints are defined as follows:

- `readOnlyHint`: If true, the tool doesn't modify its environment. Default: false.
- `destructiveHint`: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
- `idempotentHint`: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
- `openWorldHint`: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ \| Idempotent Hint: ✅ \| Read Only Hint: ✅ \| Open World Hint: ❌